@echo off
if "%JAVA_HOME%" == "" (
echo Please set JAVA_HOME environment variable
echo Install java, minimum version is 1.5
goto End
)
if not exist lib (
echo lib directory not found
echo Please re-install
goto End
)
setlocal enabledelayedexpansion
set SEPARATOR=;
set PREFIX=lib/
set filecontent=
set options=%*

dir /b lib\com.ibm.rqm.adapter.library_2.0.1.v20101004_2103.jar > jars.txt
echo com.ibm.rqm.integration.client_3.0.0.v20100823_1947\integration.client.jar>>jars.txt
echo com.ibm.rqm.integration.client_3.0.0.v20100823_1947\lib\commons-codec-1.3.jar>>jars.txt
echo com.ibm.rqm.integration.client_3.0.0.v20100823_1947\lib\commons-httpclient-3.0.jar>>jars.txt
echo com.ibm.rqm.integration.client_3.0.0.v20100823_1947\lib\org.apache.commons.logging_1.0.4.v20080605-1930.jar>>jars.txt

dir/b/o:-d lib >> jars.txt

for /f "delims=" %%a in (jars.txt) do (
  set currentline=%%a
  set filecontent=!filecontent!%PREFIX%!currentline!%SEPARATOR%
)

java.exe -version > null 2>&1
if not %ERRORLEVEL%== 0 (
echo "Please install java, minimum version is 1.5"
goto End
)


echo %filecontent%

java.exe -Dlog4j.configuration=file:.\log4j.properties -classpath "%filecontent%" com.ibm.rqm.adapter.testrt.QMTestRTAdapter  %options%

:End
PAUSE
