/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.rqm.adapter.commandline;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Wraps log initialization for the Command Line Adapter
 * 
 * @author robca
 * 
 */
public class Logger {

	/**
	 * Bundle ID to use for logging. 
	 */
	private static final String BUNDLE_ID = "com.ibm.rqm.adapter.commandline";

	/**
	 * Log object to be used
	 */
	public static final Log Log = LogFactory.getLog(BUNDLE_ID);
	
	/**
	 * Prevent class creation
	 */
	private Logger(){
	}
}
